Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.types.v1
Class Blob

    java.lang.Object
      be.cin.types.v1.Blob

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:01:31+01:00",
               comments="JAXB RI v2.2.11")
    public class Blob

extends Object
implements Serializable

A Binary Large Object with technical metadata.

Can contain large abound of binary data, which can be transported via MTOM/XOP when used in web services. It contains attributes/fields that provide technical data.

The content/value contains the binary data, first compressed via deflate and then base 64 encoded.

Java class for Blob complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Blob">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
           <attribute name="ContentType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="ContentEncoding" type="{http://www.w3.org/2001/XMLSchema}string" default="deflate" />
           <attribute name="ContentEncryption" type="{urn:be:cin:types:v1}ContentEncryptionType" />
           <attribute name="Etk" type="{http://www.w3.org/2001/XMLSchema}base64Binary" />
           <attribute name="MessageName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="HashValue" type="{http://www.w3.org/2001/XMLSchema}base64Binary" />
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}NCName" />
           <attribute name="Reference" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="Issuer" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Blob()`

Method Summary
`String` | `getContentEncoding()` Gets the value of the contentEncoding property.
`ContentEncryptionType` | `getContentEncryption()` Gets the value of the contentEncryption property.
`String` | `getContentType()` Gets the value of the contentType property.
`byte[]` | `getEtk()` Gets the value of the etk property.
`byte[]` | `getHashValue()` Gets the value of the hashValue property.
`String` | `getId()` Gets the value of the id property.
`String` | `getIssuer()` Gets the value of the issuer property.
`String` | `getMessageName()` Gets the value of the messageName property.
`String` | `getReference()` Gets the value of the reference property.
`DataHandler` | `getValue()` Gets the value of the value property.
`void` | `setContentEncoding(String value)` Sets the value of the contentEncoding property.
`void` | `setContentEncryption(ContentEncryptionType value)` Sets the value of the contentEncryption property.
`void` | `setContentType(String value)` Sets the value of the contentType property.
`void` | `setEtk(byte[] value)` Sets the value of the etk property.
`void` | `setHashValue(byte[] value)` Sets the value of the hashValue property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setIssuer(String value)` Sets the value of the issuer property.
`void` | `setMessageName(String value)` Sets the value of the messageName property.
`void` | `setReference(String value)` Sets the value of the reference property.
`void` | `setValue(DataHandler value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Blob

    public Blob()

Method Detail

### getValue

    public DataHandler getValue()

  Gets the value of the value property.

  Returns:
    possible object is `DataHandler`

### setValue

    public void setValue(DataHandler value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `DataHandler`

### getContentType

    public String getContentType()

  Gets the value of the contentType property.

  Returns:
    possible object is `String`

### setContentType

    public void setContentType(String value)

  Sets the value of the contentType property.

  Parameters:
    `value` - allowed object is `String`

### getContentEncoding

    public String getContentEncoding()

  Gets the value of the contentEncoding property.

  Returns:
    possible object is `String`

### setContentEncoding

    public void setContentEncoding(String value)

  Sets the value of the contentEncoding property.

  Parameters:
    `value` - allowed object is `String`

### getContentEncryption

    public ContentEncryptionType getContentEncryption()

  Gets the value of the contentEncryption property.

  Returns:
    possible object is `ContentEncryptionType`

### setContentEncryption

    public void setContentEncryption(ContentEncryptionType value)

  Sets the value of the contentEncryption property.

  Parameters:
    `value` - allowed object is `ContentEncryptionType`

### getEtk

    public byte[] getEtk()

  Gets the value of the etk property.

  Returns:
    possible object is byte[]

### setEtk

    public void setEtk(byte[] value)

  Sets the value of the etk property.

  Parameters:
    `value` - allowed object is byte[]

### getMessageName

    public String getMessageName()

  Gets the value of the messageName property.

  Returns:
    possible object is `String`

### setMessageName

    public void setMessageName(String value)

  Sets the value of the messageName property.

  Parameters:
    `value` - allowed object is `String`

### getHashValue

    public byte[] getHashValue()

  Gets the value of the hashValue property.

  Returns:
    possible object is byte[]

### setHashValue

    public void setHashValue(byte[] value)

  Sets the value of the hashValue property.

  Parameters:
    `value` - allowed object is byte[]

### getId

    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getReference

    public String getReference()

  Gets the value of the reference property.

  Returns:
    possible object is `String`

### setReference

    public void setReference(String value)

  Sets the value of the reference property.

  Parameters:
    `value` - allowed object is `String`

### getIssuer

    public String getIssuer()

  Gets the value of the issuer property.

  Returns:
    possible object is `String`

### setIssuer

    public void setIssuer(String value)

  Sets the value of the issuer property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.